C     ProDirUn    Unit number (= 20 per f.Initialize) for direct assess file 
C                 created in CMB82.c for holding profile data
C
C     AmbDirUn    Unit number (= 21 per f.Initialize) for direct assess file 
C                 created in CMB82.c for holding ambient data - receptor sites
C
C     SumDirUn    Unit number (= 22 per f.Initialize) for direct assess file 
C                 created in CMB82.c for holding summary results
C
C     AMBdirect   Record number of receptor site in ambient data direct
C                 access file
C
C     AmbRec      Record number of receptor site in ADcode
C
C     NumAmbRec   Number of ambient data records
C
C     NumProRec   Number of source profile data records

C     ****************************
C     BEGIN include file CMB82.inc
C
C     Unless noted otherwise, the following declarations and parameters are referenced in CMB82.c:

      parameter (ERROR_MEMORY_ALLOC     =  -1)
      parameter (ERROR_FILE_OPEN        =  -2)
      parameter (ERROR_SPECIES_SET      =  -3)
      parameter (ERROR_SOURCES_SET      =  -4)
CX      parameter (ERROR_CMBSVD_1         =  -5) ! TC shut down 1/21/04; not needed (see doc in CMB82main.for)
      parameter (ERROR_CMBSVD_2         =  -6)
      parameter (ERROR_CMBSVD_4         =  -8)
      parameter (ERROR_CMBSVD_5         =  -9)
      parameter (ERROR_CMBSVD_6         = -10)
      parameter (ERROR_FILE_READ        = -11) ! also referenced in s.AmbData
      parameter (ERROR_MISC             = -12)
      parameter (ERROR_FILE_CLOSE       = -13)
      parameter (ERROR_FILE_WRITE       = -14)

      parameter (PROFILE_SET_ERROR      = -16) ! referenced in CMB82main.for
      parameter (ERROR_READ_SPECIES_SEL = -17) ! vacant
      parameter (ERROR_READ_SOURCES_SEL = -18) ! vacant
      parameter (ERROR_READ_AMBDATA_SEL = -19) ! vacant
      parameter (ERROR_READ_AMBDATA     = -20) ! vacant
      parameter (ERROR_READ_PROFILE     = -21) ! activated 11/06/04 -TC
      parameter (ERROR_MEMORY_FREE      = -22)

      real*4
     &   maxSourceUnc, minSourceProj 
C
      integer*4
     &   AMBdirect, AmbRec, DegFree
C
      integer*4
     &   Uarraybase
C
      character*12 siteid
      character*8 date
      character*2 duration, start
      character*6 g_size, sizNames(4) ! 6-char size name 08/2004 (TC)

      character*256 proName, AmbName, ProDirName, AmbDirName, SumDirName

      character*3 vernum
      character*8 rvsdat
      character*254 message ! TC added 11/22/04
	  character*2 newline   ! TC added 11/22/04
C
      common
     &   nSPfit,        nPRfit,        nSPtot,        nPRtot,
     &   AmbDirUn,      ProDirUn,      SumDirUn,      AMBdirect,
     &   DegFree,       AmbRec,        ambFrec,       ambCrec,
     &   nwork,         sourceFitFlag, batchFlag,
     &   numCMBfit,     CMBSVDerror,   NumAmbRec,     NumProRec
C
      common
     &   workbase,      iworkbase,     mPINbase,      sinestimbase,
     &   workixibase,   workix1base,   veffinvbase,
     &   Afitbase,      uAfitbase,     cHatbase,      ucHatbase,
     &   Sfitbase,      uSfitbase,     SNGVALbase,    eDummybase,
     &   EGNVECbase,    Uarraybase,    sizeNDX,       NumSizes,
     &   CalConc(150), CalcUnc(150) ! TC added these 2 arrays for handling Calculated & Measured values in output;
                                    ! Assumes upper limit on nSPtot to be 150; 09/13/04
C
      common siteID
      common date
      common duration, start
      common g_size, SizNames
C
      common vernum, rvsdat         ! Set in CMB82supp.for's f.Initialize
      common proName, AmbName, AmbDirName, ProDirName, SumDirName

C     Referenced in CMB82.c:

      common /Cmessage/ message, newline ! TC added 11/22/04
      common /common_CMB/
     &  CHIsqr, Rsquare, miss, pcntMass, fracestim,
     &  maxSourceUnc, minSourceProj, DisplayDecPl, sumSCEs ! TC added sumSCEs 10/2004

C     END of CMB82.inc